import unittest

import statum


class TestCourses(unittest.TestCase):
    def test_init(self):
        assert statum.COORDINATES
        assert statum.RACE_VENUES

    def test_integrity(self):
        for race in statum.RACE_VENUES:
            assert statum.COORDINATES[race[0]][race[1]]

        for course, race in statum.COORDINATES.items():
            for race_type in race.keys():
                if race_type == "id":
                    continue
                else:
                    self.assertIn((course, race_type), statum.RACE_VENUES)

    def test__finish_straight_distance(self):
        s = statum.StatumMarket("1", course="Wolverhampton", race_type="Flat")
        self.assertEqual(s._finish_straight_distance, 450)
        s = statum.StatumMarket("1", course="Windsor", race_type="Flat")
        self.assertEqual(s._finish_straight_distance, 610)
